"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var os = __importStar(require("os"));
var getLocalIP = function () {
    var IPv4;
    var network = os.networkInterfaces();
    if (!network.en0) {
        return 'localhost';
    }
    for (var i = 0; i < network.en0.length; i++) {
        if (os.networkInterfaces().en0[i].family === 'IPv4') {
            IPv4 = os.networkInterfaces().en0[i].address;
        }
    }
    return IPv4;
};
exports.default = getLocalIP;
//# sourceMappingURL=getLocalIP.js.map